Bug 173213 - Login screen doesn't work properly with dual monitors in KDE3.4-1.0
Login screen doesn't work properly with dual monitors in KDE3.4-1.0
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 19:29 EST by Kim Lux
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Showing wrong background on login screen. (421.14 KB, image/jpeg)
2005-12-12 22:27 EST, Kim Lux
no flags Details
Problem #2: Login disappears entirely. (414.58 KB, image/jpeg)
2005-12-12 22:28 EST, Kim Lux
no flags Details
Closeup of the login screen itself (342.07 KB, image/jpeg)
2005-12-12 22:30 EST, Kim Lux
no flags Details

  None (edit)
Description Kim Lux 2005-11-14 19:29:07 EST
Description of problem:  
  
The graphical login manager, (gdm ?) doesn't work properly in  
kde-3.4.3-1.0fc4.  Several things happen.   
  
1) the background gets overridden with the plain login screen in the monitor  
where the login happens.    
  
2) sometimes the login screen isn't sized right and the display is garbled.  
You can't log in.  
  
3) the gdm setup tool (gdmsetup) doesn't configure the login screen anymore.   
Login Manager in Control center does.   
  
  
Version-Release number of selected component (if applicable):  
  
rpm -q gdm  
gdm-2.6.0.8-16  
  
How reproducible:  
  
The overwrite happens every time.  The settings from gdmsetup happen every 
time.  The garbled screen happens sometimes.  Might be an X11 thing ?  
 
 
Steps to Reproduce:  
 
On a dual screen computer, with the left monitor being 1 and the right monitor 
being 2. 
 
1. set the login screen properties in gdmsetup.  I use gnome circles.  Yes, I 
know I am running KDE... 
 
2. set the login screen properties in Control Center. I use the KDE 3.4 
default, with a blue gear on the left side.   
 
3. Logout.   
    
Actual results:  
  
1) On the right monitor, number 2, the KDE 3.4 default background appears.  
Not gnome circles.  
 
2) On the left monitor, number 1, the BlueCurve background appears with the 
usual login fields. 
 
3) From time to time the image on the left monitor is garbled.  Pressing 
ctrl-alt-F6 (to get to a text login console ) and then ctrl-alt-F7 (to get 
back to the graphical login) yields a working login screen.     
 
Expected results:  
  
1) The login screen should be the same on both monitors. 
 
2) The login screen should be one of the ones selected in gdmsetup or control 
center. 
 
3) The left screen shouldn't get garbled.  
 
Let me know what you need to debug this further. 
 
The login screens worked perfectly (Gnome Circles displayed) before 
kde-3.4.3-1.0 was installed via rpms in the Fedora repositories.   
  
  
Additional info:
Comment 1 Kim Lux 2005-12-12 22:27:35 EST
Created attachment 122165 [details]
Showing wrong background on login screen.

One screen is the proper background and the other screen where the login is to
occur is the wrong one.
Comment 2 Kim Lux 2005-12-12 22:28:47 EST
Created attachment 122166 [details]
Problem #2: Login disappears entirely. 

Notice that I have now upgraded to KDE-3.5 and the problem still exists.
Comment 3 Kim Lux 2005-12-12 22:30:36 EST
Created attachment 122167 [details]
Closeup of the login screen itself

No way to log in with this.  Must do ctrl-alt F6 to get a text login and then
ctrl alt F7 to get an X login.	Usually this will give a good login screen.
Comment 4 Kim Lux 2005-12-12 22:34:41 EST
Just so everyone is clear, I am now running KDE-3.5 
Comment 5 Kim Lux 2005-12-12 22:36:29 EST
Both screens are 1680x1050.  Even the laptop.  Its an HP7280 with a 17" 
screen. 
 
<chuckle>  The screens don't look nearly that dirty in real life.  
Comment 6 Christian Iseli 2007-01-22 06:09:57 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Ray Strode [halfline] 2007-08-14 11:53:13 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.